PersistentProviderRegistrations.Provider (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator.jaspic, class: PersistentProviderRegistrations, class: Provider

# Class PersistentProviderRegistrations.Provider

java.lang.Object
org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Provider

Enclosing class:
  `PersistentProviderRegistrations`

public static class PersistentProviderRegistrations.Provider extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Provider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProperty(PersistentProviderRegistrations.Property property)`
  `String`
  `getAppContext()`
  `String`
  `getClassName()`
  `String`
  `getDescription()`
  `String`
  `getLayer()`
  `Map<String,String>`
  `getProperties()`
  `void`
  `setAppContext(String appContext)`
  `void`
  `setClassName(String className)`
  `void`
  `setDescription(String description)`
  `void`
  `setLayer(String layer)`
  `void`
  `setProperty(String name, String value)`
  Used by IntrospectionUtils via reflection.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Provider

    public Provider()

- ## Method Details

  - ### getClassName

    public String getClassName()

  - ### setClassName

    public void setClassName(String className)

  - ### getLayer

    public String getLayer()

  - ### setLayer

    public void setLayer(String layer)

  - ### getAppContext

    public String getAppContext()

  - ### setAppContext

    public void setAppContext(String appContext)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### addProperty

    public void addProperty(PersistentProviderRegistrations.Property property)

  - ### setProperty

    public void setProperty(String name, String value)
    Used by IntrospectionUtils via reflection.
    Parameters:
      `name` - - the name of the property to set on this object
      `value` - - the value to set
    See Also:
      - `addProperty(String, String)`

  - ### getProperties

    public Map<String,String> getProperties()